SymetryML Documentation
Data sources

Delete data source

Deletes a data source by name.

DELETE
/{user}/dss/{dsName}

Deletes a data source by name.

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

dsName*string

Data source name

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/c1/dss/nbra_ds_sftp_iris"
{  "statusCode": 200,  "statusString": "OK",  "values": {}}
{  "statusCode": 404,  "statusString": "Data Source [myDs] not found.",  "values": {}}

{  "statusCode": 409,  "statusString": "Data Source [ myDs ] used by the following projects [ prj1, prj2 ]",  "values": {}}